WorkReassignmentApi
Use this API to implement work reassignment functionality.
Work Reassignment allows access request reviews, certifications, and manual provisioning tasks assigned to a user to be reassigned to a different user. This is primarily used for:
- Temporarily redirecting work for users who are out of office, such as on vacation or sick leave
- Permanently redirecting work for users who should not be assigned these tasks at all, such as senior executives or service identities
Users can define reassignments for themselves, managers can add them for their team members, and administrators can configure them on any user's behalf. Work assigned during the specified reassignment timeframes will be automatically reassigned to the designated user as it is created.
Refer to Work Reassignment for more information about this topic.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-reassignment-configuration-v1 | POST /reassignment-configurations/v1 | Create a reassignment configuration |
| delete-reassignment-configuration-v1 | DELETE /reassignment-configurations/v1/{identityId}/{configType} | Delete reassignment configuration |
| get-evaluate-reassignment-configuration-v1 | GET /reassignment-configurations/v1/{identityId}/evaluate/{configType} | Evaluate reassignment configuration |
| get-reassignment-config-types-v1 | GET /reassignment-configurations/v1/types | List reassignment config types |
| get-reassignment-configuration-v1 | GET /reassignment-configurations/v1/{identityId} | Get reassignment configuration |
| get-tenant-config-configuration-v1 | GET /reassignment-configurations/v1/tenant-config | Get tenant-wide reassignment configuration settings |
| list-reassignment-configurations-v1 | GET /reassignment-configurations/v1 | List reassignment configurations |
| put-reassignment-config-v1 | PUT /reassignment-configurations/v1/{identityId} | Update reassignment configuration |
| put-tenant-configuration-v1 | PUT /reassignment-configurations/v1/tenant-config | Update tenant-wide reassignment configuration settings |
create-reassignment-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Create a reassignment configuration Creates a new Reassignment Configuration for the specified identity.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| configurationitemrequest | Configurationitemrequest | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Configurationitemresponse
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Configurationitemrequest } from 'sailpoint-api-client/dist/work_reassignment/api';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const configurationitemrequest: Configurationitemrequest = ; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.createReassignmentConfigurationV1({ configurationitemrequest: configurationitemrequest });
console.log(result);
delete-reassignment-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Delete reassignment configuration Deletes a single reassignment configuration for the specified identity
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| identityId | string | unique identity id | [default to undefined] |
| configType | Configtypeenum | [default to undefined] | |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
(empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const identityId: string = 2c91808781a71ddb0181b9090b5c504e; // unique identity id
const configType: Configtypeenum = ; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.deleteReassignmentConfigurationV1({ identityId: identityId, configType: configType });
console.log(result);
get-evaluate-reassignment-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Evaluate reassignment configuration
Evaluates the Reassignment Configuration for an Identity to determine if work items for the specified type should be reassigned. If a valid Reassignment Configuration is found for the identity & work type, then a lookup is initiated which recursively fetches the Reassignment Configuration for the next TargetIdentity until no more results are found or a max depth of 5. That lookup trail is provided in the response and the final reassigned identity in the lookup list is returned as the reassignToId property. If no Reassignment Configuration is found for the specified identity & config type then the requested Identity ID will be used as the reassignToId value and the lookupTrail node will be empty.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| identityId | string | unique identity id | [default to undefined] |
| configType | Configtypeenum | Reassignment work type | [default to undefined] |
| exclusionFilters | Array<string> | Exclusion filters that disable parts of the reassignment evaluation. Possible values are listed below: - `SELF_REVIEW_DELEGATION`: This will exclude delegations of self-review reassignments | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Evaluateresponse>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const identityId: string = 2c91808781a71ddb0181b9090b5c504e; // unique identity id
const configType: Configtypeenum = accessRequests; // Reassignment work type
const exclusionFilters: Array<string> = SELF_REVIEW_DELEGATION; // Exclusion filters that disable parts of the reassignment evaluation. Possible values are listed below: - `SELF_REVIEW_DELEGATION`: This will exclude delegations of self-review reassignments (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getEvaluateReassignmentConfigurationV1({ identityId: identityId, configType: configType });
console.log(result);
get-reassignment-config-types-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List reassignment config types Gets a collection of types which are available in the Reassignment Configuration UI.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Configtype>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getReassignmentConfigTypesV1({ });
console.log(result);
get-reassignment-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get reassignment configuration Gets the Reassignment Configuration for an identity.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| identityId | string | unique identity id | [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Configurationresponse
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const identityId: string = 2c91808781a71ddb0181b9090b5c504f; // unique identity id
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getReassignmentConfigurationV1({ identityId: identityId });
console.log(result);
get-tenant-config-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get tenant-wide reassignment configuration settings Gets the global Reassignment Configuration settings for the requestor's tenant.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Tenantconfigurationresponse
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getTenantConfigConfigurationV1({ });
console.log(result);
list-reassignment-configurations-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
List reassignment configurations Gets all Reassignment configuration for the current org.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Array<Configurationresponse>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.listReassignmentConfigurationsV1({ });
console.log(result);
put-reassignment-config-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Update reassignment configuration Replaces existing Reassignment configuration for an identity with the newly provided configuration.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| identityId | string | unique identity id | [default to undefined] |
| configurationitemrequest | Configurationitemrequest | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Configurationitemresponse
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Configurationitemrequest } from 'sailpoint-api-client/dist/work_reassignment/api';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const identityId: string = 2c91808781a71ddb0181b9090b5c504e; // unique identity id
const configurationitemrequest: Configurationitemrequest = ; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.putReassignmentConfigV1({ identityId: identityId, configurationitemrequest: configurationitemrequest });
console.log(result);
put-tenant-configuration-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Update tenant-wide reassignment configuration settings Replaces existing Tenant-wide Reassignment Configuration settings with the newly provided settings.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| tenantconfigurationrequest | Tenantconfigurationrequest | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Tenantconfigurationresponse
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { WorkReassignmentApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Tenantconfigurationrequest } from 'sailpoint-api-client/dist/work_reassignment/api';
const configuration = new Configuration();
const apiInstance = new WorkReassignmentApi(configuration);
const tenantconfigurationrequest: Tenantconfigurationrequest = ; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.putTenantConfigurationV1({ tenantconfigurationrequest: tenantconfigurationrequest });
console.log(result);